﻿using AdventOfCode2023.Day1;
using AdventOfCode2023.Day2;
using AdventOfCode2023.Day3;
using AdventOfCode2023.Day4;
using AdventOfCode2023.Day5;

namespace AdventOfCode2023
{
    internal class Program
    {
        private static List<DayBase> days = new List<DayBase>() {
            new Day1_1(),
            new Day1_2(),
            new Day2_1(),
            new Day2_2(),
            new Day3_1(),
            new Day3_2(),
            new Day4_1(),
            new Day4_2(),
            new Day5_1(),
            new Day5_2(),
        };

        private static void ListDays()
        {
            Console.WriteLine("Select Day:");
            Console.WriteLine();

            int index = 0;
            days.ForEach(item => Console.WriteLine($"{index++} - {item.GetType().Name}"));
        }

        static void Main(string[] args)
        {
            ListDays();
            Console.WriteLine(days[int.Parse(Console.ReadLine() ?? "")].Execute());
            Console.ReadLine();
        }
    }
}